
            org     32768

            di
            ld      sp,49151
            ld      a,3
            call    FillRam
            ld      a,6
            call    FillRam
            ld      a,7
            call    FillRam
            ld      a,4
            call    FillRam

            ld      sp,23295
            ld      bc,#7ffd
            ld      a,8
            out     (c),a
            ld      b,#1f
            ld      a,7
            out     (c),a

FillRam:    ld      bc,#7ffd
            or      16
            out     (c),a

            ld      hl, #c000
            ld      de, #DDFD
FillLoop:   ld      (hl),d
            inc     l
            ld      (hl),e
            inc     l
            jr      nz,FillLoop
            inc     h
            jr      nz,FillLoop
            ret

            end     32768

